Skip to main content
GET
/
v5
/
expenses
/
vendors
Get vendors
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/vendors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "status": "ACTIVE",
      "defaultCategoryId": 123,
      "defaultBusinessId": 123,
      "defaultClientId": 123,
      "duplicateVendorIds": [
        123
      ]
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date.

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

status
enum<string>[]

Status filter - returns all vendors for the specified statuses.

Available options:
PENDING,
ACTIVE,
INACTIVE
query
string

Query filter - returns all vendors whose names contain the specified query parameter. For example, a search parameter of "Apple" would return vendors with the names "Apple" and "Applebee's".

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate